Campaigns, ambassador programs and contracts ranked by their posts' gains
GET
/api/public/v1/content/top_campaignsLiveAnswers from your brand's records now.
Operation id getContentTopCampaigns
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/content/top_campaigns" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| campaign_ids | query | string | |
| platform | query | string | One of instagramtik_tokyoutubefacebooktwitter |
| sort | query | string | One of viewslikescommentssharessavesengagement |
| limit | query | integer | |
| page | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.items | array of object | |
| data.items[].[].creator | , nullable | |
| data.items[].[].creators | integer | |
| data.items[].[].id | integer | |
| data.items[].[].kind | string | |
| data.items[].[].metrics | object | |
| data.items[].[].metrics.comments | integer | |
| data.items[].[].metrics.engagement_rate | number | |
| data.items[].[].metrics.likes | integer | |
| data.items[].[].metrics.saves | integer | |
| data.items[].[].metrics.shares | integer | |
| data.items[].[].metrics.views | integer | |
| data.items[].[].name | string | |
| data.items[].[].organization_id | integer | |
| data.items[].[].organization_logo_url | string, nullable | |
| data.items[].[].organization_name | string, nullable | |
| data.items[].[].organization_slug | string, nullable | |
| data.items[].[].posts | integer | |
| data.items[].[].status | string | |
| data.items[].[].uuid | string, nullable | |
| data.limit | integer | |
| data.min_views | integer, nullable | |
| data.page | integer | |
| data.sort | string | |
| meta | object | |
| meta.campaign_ids | array of integer | |
| meta.organization_id | integer | |
| meta.platform | string, nullable | |
| meta.scope | string | One of familybrandcampaign |
| success | boolean |
Example
{
"data": {
"items": [
{
"creator": {
"avatar_url": null,
"id": null,
"name": null
},
"creators": 3,
"id": 1024,
"kind": "string",
"metrics": {
"comments": 3,
"engagement_rate": 0.15,
"likes": 3,
"saves": 3,
"shares": 3,
"views": 3
},
"name": "Example name",
"organization_id": 1024,
"organization_logo_url": "https://example.com/p/1",
"organization_name": "Example name",
"organization_slug": "string",
"posts": 3,
"status": "string",
"uuid": "string"
}
],
"limit": 3,
"min_views": 3,
"page": 1,
"sort": "string"
},
"meta": {
"campaign_ids": [
3
],
"organization_id": 1024,
"platform": "string",
"scope": "family"
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.